Skip to main content
POST
/
amlyze-ws-rest
/
simplifiedCustomer
curl --request POST \
  --url 'https://{{baseUrl}}/amlyze-ws-rest/simplifiedCustomer' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "communicationNumber": "1b1e1c23-f62f-4338-90b9-8d54993dd2cd",
  "requester": "AMLYZE_TEST",
  "businessUnit": "sandbox",
  "riskManagementCategory": "IND_OCCASIONAL",
  "entityType": "INDIVIDUAL",
  "customerExtId": "IND20231117538",
  "firstName": "Tony",
  "lastName": "Mikelangelo"
}
'
{
  "errorCode": "<string>",
  "errorDescription": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
communicationNumber
string
required

Unique number of communication. It is used for risk assessment callback.

Maximum string length: 255
customerExtId
string
required

Unique external customer identifier. This identifier corresponds to the client's identifier in the financial institution.

Example:

"019a5d1b-8c4f-770b-ad70-2f2a6c88aeda"

customerStatus
enum<string>
required

Customer's predefined status represents the current standing or state of a customer's relationship with a business or organization.

  • PENDING - Customer application is received but not yet prepared for upcoming workflow
  • ACTIVE - Customer is onboarded and ready for workflow
  • REJECTED- the customer was rejected before account was opened
  • SUSPENDED - Customer's activities for some reasons are restricted
  • CLOSED - Customer's profile is disabled
Available options:
ACTIVE,
CLOSED,
PENDING,
REJECTED,
SUSPENDED
entityType
enum<string>
required

Type of the customer. INDIVIDUAL represents a natural person; ORGANIZATION represents a legal entity such as a company, partnership, or foundation.

❗ This value drives conditional field requirements:

  • INDIVIDUAL requires firstName, lastName
  • ORGANIZATION requires title

Fields specific to the other entity type are not allowed. See each affected field's description for its individual constraint.

Available options:
INDIVIDUAL,
ORGANIZATION
requester
string
required

Name of the system requesting web service.

Maximum string length: 100
riskManagementCategory
string
required

Code of risk management category of the object. Value must be from a classifier list personalized to your company.

activityDescription
string

Description of entity activity.

Maximum string length: 32768
Example:

"Financial activity"

activityInRestrictedRegionDescription
string

Description of entity activity.

Maximum string length: 32768
amlOfficer
boolean

Whether the person is an AML officer.

applicationDate
string<date>

Date when customer first applied.

approvalDate
string<date>

Date of application approval - onboarding date.

birthCountry
string

Country of birth of the individual entity.

birthDate
string<date>

Date of birth of the individual entity

businessUnit
string

Mandatory field for clients utilizing a multi-organizational solution. It serves to specify the unique identifier for the business unit.

citizenshipCountry
string

Country of citizenship of individual entity.

closingDate
string<date>

❗Mandatory only when customerStatus = CLOSED. Not used when customerStatus is PENDING, ACTIVE, REJECTED or SUSPENDED.

companyAssetValue
integer

Value of the company's assets.

doesCashDominate
boolean

Whether cash is the main income source.

establishmentDate
string<date>

Date of establishment of the organization.

firstName
string

First name of the individual. ❗ This field is mandatory when entityType is INDIVIDUAL.

giin
string

Global intermediary identification number.

hasMultiLayerStructure
boolean

Whether the entity has a multi-layer organizational structure.

incomeSourceDescription
string

Description of income source.

Maximum string length: 32768
incomingPaymentDescription
string

Description of incoming payment operation.

initialDepositAccount
string

Account of initial deposit.

Maximum string length: 200
initialDepositAmount
number<double>

Initial deposit amount.

initialDepositBank
string

Bank of initial deposit.

Maximum string length: 200
initialDepositCurrency
string

Initial deposit currency. Taken from /classifier/currency endpoint.

initialDepositSource
string

Source of initial deposit.

Maximum string length: 200
initializeScreeningProcesses
enum<string>[]

Defines which lists to check during screening process.

Available options:
SANCTIONS,
PEP,
ADVERSE_MEDIA,
INTERNAL_LIST
isActualAddressDeclared
boolean

Whether entity's actual address is declared.

isAudited
boolean

Whether the business entity is audited.

isCorrespondenceAddressDeclared
boolean

Whether entity's correspondence address is declared.

isDirectlyManaged
boolean

Whether entity is managed directly.

isFamilyPEP
boolean

Whether a family member of the individual is politically exposed.

isFinancialInstitution
boolean

Whether entity is a financial institution.

isFined
boolean

Whether the business entity is fined.

isInAdverseMedia
boolean

Whether there is adverse-media information about the entity.

isInInternalList
boolean

Whether there is internal-list information about the entity.

Whether the individual is a legal resident.

isLicenseRequired
boolean

Whether the entity's activity requires a license.

isListed
boolean

Whether the business entity is listed on a stock exchange.

isLitigated
boolean

Whether the customer is involved in litigation.

isPEP
boolean

Whether the entity is politically exposed.

isRegulated
boolean

Whether the business entity is regulated by third-party authorities.

isSanctioned
boolean

Whether the entity is sanctioned.

lastName
string

Last name of the individual. ❗ This field is mandatory when entityType is INDIVIDUAL.

Legal form of the organization.

lei
string

LEI stands for Legal Entity Identifier, which is a unique code used to identify legal entities that participate in financial transactions.

licenseDescription
string

Business entities license description.

Maximum string length: 32768
listAddress
object[]

List of addresses.

listBusinessEntityDocument
object[]

List of business entity documents.

listContact
object[]

List of contacts.

listPurpose
enum<string>

Indicates whether the entity is on a risk-management list.

  • WHITE - Entity is allow-listed.
  • BLACK - Entity is block-listed.
Available options:
BLACK,
WHITE
nationalCode
string

National code or national identification number of individual. If a country does not issue national code, any other unique identifier can be used: Passport number, Social security number of person, A number of taxpayer or registration certificate of the company, etc.

Maximum string length: 100
noMajorShareHolders
boolean

Whether entity has no major shareholders involved.

numberOfAudits
integer

The number of times a business entity has been audited.

numberOfEmployees
integer

Number of employees.

organizationalStructureDescription
string

Description of organizational structure.

Maximum string length: 32768
periodsOfAuditsInYears
integer

The number of years that are in question for being audited.

periodsOfFiningInYears
integer

The number of years that are in question for being fined.

placeOfBirth
string

Place of birth of individual entity.

regionOfActivityDescription
string

Description of the region for activities.

Maximum string length: 32768
registrationCountry
string

Country of registration of organization entity. Value taken from /classifier/country endpoint.

riskLevel
enum<string>

Predefined risk level of imported customer.

Available options:
EXTREME,
HIGH,
LOW,
MEDIUM,
NONE
sourceOfRiskLevel
enum<string>

The value EVALUATE is used for initiating a customer risk assessment. The value IMPORT should be used for migration only - the customer and it's questionnaire will be imported without risk assessment.

Available options:
EVALUATE,
IMPORT
thirdPartyServicesUsed
boolean

Whether the entity uses third-party services.

thirdPartyServicesUsedDescription
string

Description of third-party services used by entity.

Maximum string length: 32768
title
string

Title (official name) of the organization. ❗ This field is mandatory when entityType is ORGANIZATION.

Response

OK

errorCode
string
errorDescription
string
resultType
enum<string>
Available options:
REQUEST_ACCEPTED,
REQUEST_REJECTED